<% include ../modules %>
  <title>Registro | Grupo de Investigación Sirius</title>
  <script>
    $(document).ready(function() {
      $('.ui.form').form({
        fields: {
          user: {
            identifier: 'user',
            rules: [
              {
                type: 'empty',
                prompt: 'Por favor ingresa tu usuario.'
              },
              {
                type: 'user',
                prompt: 'Por favor ingresa un usuario válido.'
              }
            ]
          },
          name: {
            identifier: 'name',
            rules: [
              {
                type: 'empty',
                prompt: 'Por favor ingresa tu nombre.'
              },
              {
                type: 'name',
                prompt: 'Por favor ingresa un nombre válido.'
              }
            ]
          },
          email: {
            identifier: 'email',
            rules: [
              {
                type: 'empty',
                prompt: 'Por favor ingresa tu correo.'
              },
              {
                type: 'email',
                prompt: 'Por favor ingresa un correo válido.'
              }
            ]
          },
          password: {
            identifier: 'password',
            rules: [
              {
                type: 'empty',
                prompt: 'Por favor ingresa tu contraseña.'
              },
              {
                type: 'length[6]',
                prompt: 'Tu password debe ser de al menos 6 caracteres.'
              }
            ]
          }
        }
      });
    });
  </script>
</head>
  <% include ../navbar.ejs %>
  <% include ../social.ejs %>
    <div class="pusher">
      <div class="ui vertical masthead center aligned">
      </div>
      <div class="ui vertical stripe segment">
        <div class="ui main center aligned container">
          <h1 class="ui header quicksand">REGISTRO</h1>
        </div>
        <br /><br />
          <div class="ui text container">
            <div class="ui large form open-sans">
              <div class="ui raised segment">
                <div class="two fields">
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="add user icon"></i>
                      <input type="text" id="username" placeholder="Usuario">
                    </div>
                  </div>
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="at icon"></i>
                      <input type="text" id="email" placeholder="Correo">
                    </div>
                  </div>
                </div>
                <div class="two fields">
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="user icon"></i>
                      <input type="text" id="firstName" placeholder="Nombre(s)">
                    </div>
                  </div>
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="user icon"></i>
                      <input type="text" id="lastName" placeholder="Apellido(s)">
                    </div>
                  </div>
                </div>
                <div class="two fields">
                  <div class="field">
                    <select name="Rol" multiple="" class="ui fluid dropdown multi-select" id="rol">
                      <option value="">Rol</option>
                      <option value="Investigador(a)">Investigador(a)</option>
                      <option value="Monitor(a)">Monitor(a)</option>
                      <option value="Docente">Docente</option>
                      <option value="Director General">Director General</option>
                      <option value="Director Cientifico">Director Cientifico</option>
                    </select>
                  </div>
                  <div class="field">
                    <select name="Profesion" class="ui fluid dropdown multi-select" id="profesion" multiple="" >
                      <option value="">Profesión</option>
                      <option value="Estudiante">Estudiante</option>
                      <option value="Ingeniero(a)">Ingeniero(a)</option>
                      <option value="Magister">Magister</option>
                      <option value="Doctor(a)">Doctor(a)</option>
                      <option value="Especialista">Especialista</option>
                    </select>
                  </div>
                </div>
                <div class="two fields">
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="lock icon"></i>
                      <input type="password" id="password" placeholder="Contraseña">
                    </div>
                  </div>
                  <div class="field">
                    <div class="ui left icon input">
                      <i class="unlock alternate icon"></i>
                      <input type="password" id="cpassword" placeholder="Confirmar Contraseña">
                    </div>
                  </div>
                </div>
                <div class="ui fluid teal submit button" id="btn_create">Crear Cuenta</div>
              </div>
              <div class="ui error message"></div>
            </div>
            <div class="ui message open-sans font-size">
              Ya tienes cuenta creada? <a id="redirectLogin"> Iniciar Sesión</a>
            </div>
            <!-- <div class="ui message open-sans">
              Crear con
              <a href=""><i class="grey large google icon"></i></a>
              <a href=""><i class="grey large facebook icon"></i></a>
              <a href=""><i class="grey large github icon"></i></a>
              <a href=""><i class="grey large linkedin icon"></i></a>
              <a href=""><i class="grey large twitter icon"></i></a>
            </div> -->
          </div>
        </div>
      </div>
    </div>
<% include ../footer %>
